"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllCountriesResponseDto = exports.findAllCountriesResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.findAllCountriesResponseSchema = zod_1.default.object({
    countries: zod_1.default.array(zod_1.default.object({
        name: zod_1.default.string(),
        isoCode: zod_1.default.string(),
    })),
});
class FindAllCountriesResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findAllCountriesResponseSchema) {
}
exports.FindAllCountriesResponseDto = FindAllCountriesResponseDto;
//# sourceMappingURL=find-all-countries.dto.js.map